Email

Verify SMTP and send a test message

Rate-limited. With `useSaved: true` (default), uses stored credentials; otherwise pass `host`, `authUser`, `authPass`, etc.

AuthJWT or API Key
GroupEmail
Rate limitSee Rate Limits
POST/api/projects/{projectId}/email/smtp/test

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, EmailApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const email = new EmailApi(configuration);
import { Configuration, EmailApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const email = new EmailApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await email.testProjectEmailSmtp(
  "proj_aDeFYAaeqWfs",
  {
    to: "firewall override",
    useSaved: true,
    host: "application compress",
    port: 75498,
    secure: false,
    authUser: "matrix parse",
    authPass: "circuit connect",
    fromEmail: "bruce28@northwind.dev",
    fromName: "Daniela Turcotte Jr."
  }
);
const { data: result } = await email.testProjectEmailSmtp(
  "proj_aDeFYAaeqWfs",
  {
    to: "firewall override",
    useSaved: true,
    host: "application compress",
    port: 75498,
    secure: false,
    authUser: "matrix parse",
    authPass: "circuit connect",
    fromEmail: "bruce28@northwind.dev",
    fromName: "Daniela Turcotte Jr."
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console
Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "to": "gerardo17@northwind.dev",
  "useSaved": true,
  "host": "sensor input",
  "port": 97096,
  "secure": true,
  "authUser": "bandwidth connect",
  "authPass": "feed override",
  "fromEmail": "audrey.hamill2@northwind.dev",
  "fromName": "Shaun Kassulke"
}
{
  "to": "gerardo17@northwind.dev",
  "useSaved": true,
  "host": "sensor input",
  "port": 97096,
  "secure": true,
  "authUser": "bandwidth connect",
  "authPass": "feed override",
  "fromEmail": "audrey.hamill2@northwind.dev",
  "fromName": "Shaun Kassulke"
}

Responses

200SMTP verified and test mail sent
json
{
  "success": true,
  "message": "SMTP verified and test message sent"
}
{
  "success": true,
  "message": "SMTP verified and test message sent"
}
400
429

Errors

CodeMeaning
400
429
Edit this page on GitHub